CREATE TABLE jv_owner_percents_f_b (
    OWNERSHIP_PERCENTAGE_ID          NUMBER(18, 0),
    OBJECT_VERSION_NUMBER            NUMBER(9, 0)     NOT NULL,
    OWNERSHIP_PERCENT_SHORT_NAME     VARCHAR2(120)    NOT NULL,
    EFFECTIVE_START_DATE             DATE             NOT NULL,
    EFFECTIVE_END_DATE               DATE             NOT NULL,
    JOINT_VENTURE_ID                 NUMBER(18, 0)    NOT NULL,
    OWNERSHIP_STATUS_CODE            VARCHAR2(120),
    OWNERSHIP_CHANGE_FLAG            VARCHAR2(4)      NOT NULL,
    CHANGE_REASON_CODE               VARCHAR2(120),
    CHANGE_REASON_ADDITIONAL_TEXT    VARCHAR2(960),
    STAKEHOLDER_GROUP_ID             NUMBER(18, 0),
    ORIGINAL_OWNERSHIP_ID            NUMBER(18, 0),
    OWNERSHIP_VERSION                NUMBER(9, 0)     NOT NULL,
    CREATED_BY                       VARCHAR2(256)    NOT NULL,
    CREATION_DATE                    TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                  VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE                 TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128),
    ATTRIBUTE_CATEGORY               VARCHAR2(600),
    ATTRIBUTE_CHAR1                  VARCHAR2(600),
    ATTRIBUTE_CHAR2                  VARCHAR2(600),
    ATTRIBUTE_CHAR3                  VARCHAR2(600),
    ATTRIBUTE_CHAR4                  VARCHAR2(600),
    ATTRIBUTE_CHAR5                  VARCHAR2(600),
    ATTRIBUTE_CHAR6                  VARCHAR2(600),
    ATTRIBUTE_CHAR7                  VARCHAR2(600),
    ATTRIBUTE_CHAR8                  VARCHAR2(600),
    ATTRIBUTE_CHAR9                  VARCHAR2(600),
    ATTRIBUTE_CHAR10                 VARCHAR2(600),
    ATTRIBUTE_NUMBER1                NUMBER       ,
    ATTRIBUTE_NUMBER2                NUMBER       ,
    ATTRIBUTE_NUMBER3                NUMBER       ,
    ATTRIBUTE_NUMBER4                NUMBER       ,
    ATTRIBUTE_NUMBER5                NUMBER       ,
    ATTRIBUTE_DATE1                  DATE         ,
    ATTRIBUTE_DATE2                  DATE         ,
    ATTRIBUTE_DATE3                  DATE         ,
    ATTRIBUTE_DATE4                  DATE         ,
    ATTRIBUTE_DATE5                  DATE         ,
    OWNERSHIP_PERCENTAGE_ID          NUMBER(18, 0),
    OBJECT_VERSION_NUMBER            NUMBER(9, 0)     NOT NULL,
    OWNERSHIP_PERCENT_SHORT_NAME     VARCHAR2(120)    NOT NULL,
    EFFECTIVE_START_DATE             DATE             NOT NULL,
    EFFECTIVE_END_DATE               DATE             NOT NULL,
    JOINT_VENTURE_ID                 NUMBER(18, 0)    NOT NULL,
    OWNERSHIP_STATUS_CODE            VARCHAR2(120),
    CREATED_BY                       VARCHAR2(256)    NOT NULL,
    CREATION_DATE                    TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                  VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE                 TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128),
    ATTRIBUTE_CATEGORY               VARCHAR2(600),
    ATTRIBUTE_CHAR1                  VARCHAR2(600),
    ATTRIBUTE_CHAR2                  VARCHAR2(600),
    ATTRIBUTE_CHAR3                  VARCHAR2(600),
    ATTRIBUTE_CHAR4                  VARCHAR2(600),
    ATTRIBUTE_CHAR5                  VARCHAR2(600),
    ATTRIBUTE_CHAR6                  VARCHAR2(600),
    ATTRIBUTE_CHAR7                  VARCHAR2(600),
    ATTRIBUTE_CHAR8                  VARCHAR2(600),
    ATTRIBUTE_CHAR9                  VARCHAR2(600),
    ATTRIBUTE_CHAR10                 VARCHAR2(600),
    ATTRIBUTE_NUMBER1                NUMBER       ,
    ATTRIBUTE_NUMBER2                NUMBER       ,
    ATTRIBUTE_NUMBER3                NUMBER       ,
    ATTRIBUTE_NUMBER4                NUMBER       ,
    ATTRIBUTE_NUMBER5                NUMBER       ,
    ATTRIBUTE_DATE1                  DATE         ,
    ATTRIBUTE_DATE2                  DATE         ,
    ATTRIBUTE_DATE3                  DATE         ,
    ATTRIBUTE_DATE4                  DATE         ,
    ATTRIBUTE_DATE5                  DATE         ,
    OWNERSHIP_CHANGE_FLAG            VARCHAR2(4)      NOT NULL,
    CHANGE_REASON_CODE               VARCHAR2(120),
    CHANGE_REASON_ADDITIONAL_TEXT    VARCHAR2(960),
    STAKEHOLDER_GROUP_ID             NUMBER(18, 0),
    ORIGINAL_OWNERSHIP_ID            NUMBER(18, 0),
    OWNERSHIP_VERSION                NUMBER(9, 0)     NOT NULL,
    CONSTRAINT pk_jv_owner_percents_f_b PRIMARY KEY (OWNERSHIP_PERCENTAGE_ID, OWNERSHIP_PERCENTAGE_ID)
);
